# Products#ListProducts

List a collection of Scan Tools

Endpoint: GET /sto/api/v2/products
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountId` (string)
    Harness Account ID
    Example: "abcdef1234567890ghijkl"

  - `page` (integer)
    Page number to fetch (starting from 0)
    Example: 4

  - `pageSize` (integer)
    Number of results per page
    Example: 50

  - `name` (string)
    Resource name
    Example: "NodeGoat"

## Response 200 fields (application/json):

  - `pagination` (object, required)
    Example: {"link":"","page":4,"pageSize":20,"totalItems":230,"totalPages":12}

  - `pagination.link` (string)
    Link-based paging

  - `pagination.page` (integer, required)
    Page number (starting from 0)
    Example: 4

  - `pagination.pageSize` (integer, required)
    Requested page size
    Example: 20

  - `pagination.totalItems` (integer, required)
    Total results available
    Example: 230

  - `pagination.totalPages` (integer, required)
    Total pages available
    Example: 12

  - `results` (array, required)
    Example: [{"created":1651578240,"description":"OWASP 5.x SCA scanner","id":"abcdef1234567890ghijkl","isEnabled":true,"lastModified":1651578240,"name":"owasp","prettyName":"owasp"},{"created":1651578240,"description":"OWASP 5.x SCA scanner","id":"abcdef1234567890ghijkl","isEnabled":true,"lastModified":1651578240,"name":"owasp","prettyName":"owasp"},{"created":1651578240,"description":"OWASP 5.x SCA scanner","id":"abcdef1234567890ghijkl","isEnabled":true,"lastModified":1651578240,"name":"owasp","prettyName":"owasp"}]

  - `results.created` (integer, required)
    Unix timestamp at which the resource was created
    Example: 1651578240

  - `results.description` (string, required)
    Scan Tool's description
    Example: "OWASP 5.x SCA scanner"

  - `results.id` (string, required)
    Resource identifier
    Example: "abcdef1234567890ghijkl"

  - `results.isEnabled` (boolean, required)
    'true' if this Scan Tool is enabled for use
    Example: true

  - `results.lastModified` (integer, required)
    Unix timestamp at which the resource was most recently modified
    Example: 1651578240

  - `results.name` (string, required)
    Name of the Scan Tool
    Example: "owasp"

  - `results.prettyName` (string, required)
    Name of the Scan Tool
    Example: "owasp"

## Response 400 fields (application/json):

  - `message` (string, required)
    Example: "Not Found"

  - `status` (integer)
    Example: 404


